|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Attribute Class Reference
(QInputMethodEvent::Attribute)
[QtGui module]

The QInputMethodEvent::Attribute class stores an input method attribute. More...

     #include <QInputMethodEvent>

- List of all members, including inherited members

### Public Functions

- Attribute ( AttributeType type, int start, int length, QVariant value )

## Detailed Description

The QInputMethodEvent::Attribute class stores an input method attribute.

## Member Function Documentation

### Attribute::Attribute ( AttributeType type, int start, int length, QVariant value )

Constructs an input method attribute. type specifies the type of attribute, start and length the position of the attribute, and value the value of the attribute.